Welcome to the new Gigaspaces XAP forum. To recover your account, please follow these instructions.

Ask Your Question
0

Has the openspaces-core.xsd version 10.1 changed recently?

Hello All,

I have an application running OK for more then a year using gs-openspaces-10.1.0-12600-RELEASE.jar. Last weekend, we rebooted the server and we just started to get the error below:

org.springframework.beans.factory.xml.XmlBeanDefinitionStoreException: Line 1 in XML document from class path resource [client-context.xml] is invalid; nested exception is org.xml.sax.SAXParseException; systemId: http://www.openspaces.org/schema/10.1...; lineNumber: 1; columnNumber: 50; White spaces are required between publicId and systemId.]

After sometime, we found out that updating it to gs-openspaces-10.1.1-12800-RELEASE.jar fixes the issue.

Could you please confirm if xsd has been changed and when it did happen?

Thank you in advance!

Best, Renato R. Resende

asked 2017-09-27 10:53:38 -0600

resenderr gravatar image
edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

Hi Renato,

There were couple of changes that were reported on the XSD between 10.1.0 and 10.1.1, although not related to the problem you are facing.

It could be that this change was not reported.

In any case, you can use 10.1.1 XSD if that works for you.

Please note that release 10.1.1 was EOL in July 2017, we highly recommend to upgrade to our latest release.

Please see more information here: https://docs.gigaspaces.com/release_n...

https://www.gigaspaces.com/product/xap

Best Regards, Inbar

answered 2017-09-28 03:13:50 -0600

inbarc gravatar image
edit flag offensive delete link more

Comments

Thank you Inbar! Yes, moving to 10.1.1 indeed fixed the problem. But the problem is the following, I need to provide an RCA to a customer since a simple fact of rebooting a server caused a major problem into their production servers.

The last time the server/services were recycled was Aug 12, 2016 1:07:03 AM. And at that time the system was using gs-openspaces-10.1.0-12600-RELEASE.jar. On Sep 23, 2017 4:01:40 AM the server was rebooted and everything stopped to work because of the error above. Only after upgrading the jar to gs-openspaces-10.1.1-12800-RELEASE.jar fixed the issue.

So, you said that 10.1.1 was release at July 2017 but could the xsd under http://www.openspaces.org/schema/10.1... be possibly updated after Aug 12, 2016? This would explain why the system got broken.

Thank you very much again!

Best, Renato R. Resende

resenderr gravatar imageresenderr ( 2017-09-28 09:22:12 -0600 )edit

Hi Renato,

In fact the 10.1.1 was released at April 2015, the EOL (End Of Life ) of this release was at July 2017.

The releases that came after August 2016 were version 12.0, were in this version we added an open source edition and that might include a changes in the packages and might be the reason for the problem.

Since a production downtime was involved in this problem, can i ask you to open a support ticket, via our support portal, in order to list this issue in our records?

Please use this link to register to our portal if you don't have a user: https://support.gigaspaces.com/csSelfReg

Many thanks,

Inbar

inbarc gravatar imageinbarc ( 2017-09-28 09:37:30 -0600 )edit

Sure! Thank you very much!

resenderr gravatar imageresenderr ( 2017-09-28 13:10:56 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2017-09-27 10:53:38 -0600

Seen: 79 times

Last updated: Sep 28